#! /usr/bin/env python
from multiprocessing import Pool
import time
import sys, getopt
import random

import src.globals.global_utils as gu
import psycopg2

def clean_tables(stem):
    conn = gu.connect_db()
    psql = conn.cursor()
    psql.execute("SELECT tablename from pg_tables where tablename LIKE '%s%%'" % (stem))
    for (tname,) in psql.fetchall():
        print "DROP TABLE %s;" % (tname)

def clean_view(stem):
    conn = gu.connect_db()
    psql = conn.cursor()
    psql.execute("SELECT viewname from pg_views where viewname LIKE '%s%%'" % (stem))
    for (tname,) in psql.fetchall():
        print "DROP VIEW %s CASCADE;" % (tname)


clean_view('victor_view')
clean_tables('victor_mid')
clean_tables('victor_split')
clean_tables('new_test2_output_base')
clean_tables('newww_test2_output_base_')
#clean_tables('victor')
