DELETE MODEL SPECIFICATION low_rank_nopara_debug

CREATE MODEL SPECIFICATION low_rank_nopara_debug (
  model_type=(python,numpy,numpy) as (nlm,l,r),
  data_item_type=(int,int,float8) as (rowr,col,rating),   
  objective=examples.DEBUG_FACTOR.factor_debug.se_loss, 
  objective_agg=SUM,
  grad_step=examples.DEBUG_FACTOR.factor_debug.grad
);

CREATE MODEL INSTANCE factor_debug
  EXAMPLES debug_table(row,col,rating)
  MODEL SPEC low_rank_nopara_debug
  INIT_FUNCTION examples.DEBUG_FACTOR.factor_debug.initialize_model
  STOP WHEN examples.DEBUG_FACTOR.factor_debug.stopping_condition
  PARTITION examples.DEBUG_FACTOR.factor_debug.partition_test