DELETE MODEL SPECIFICATION logit_l1_two

CREATE MODEL SPECIFICATION logit_l1_two (
  model_type=(python) as (w),
  data_item_type=(int[], float8[], int) as (k,v, label),   
  objective=examples.LINEAR_MODELS.loss_functions.logit_loss_ss,
  objective_agg=SUM, 
  grad_step=examples.LOGISTIC_REGRESSION.logit_l1_sparse_split.logit_l1_grad
);

CREATE MODEL INSTANCE paperareami_2
  EXAMPLES dblife_tfidf_split(k, v, label)
  MODEL SPEC logit_l1_two
  INIT_FUNCTION examples.LOGISTIC_REGRESSION.logit_l1_sparse_split.init
  STOP WHEN examples.LOGISTIC_REGRESSION.logit_l1_sparse_split.stop_condition
