import src.vsql_core.utils.victor_utils as victor_utils
import examples.LINEAR_MODELS.simple_linear as simple_linear
import math

def ell2_ball_constraint_avg((m,mhat), (x, y)):
    wx  = victor_utils.dot(m.w, x)
    err = (wx - y)
    etd = - m.stepsize * err
    victor_utils.scale_and_add(m.w,x, etd)
    victor_utils.l2_project(m.w, m.B)	
    victor_utils.incremental_average(mhat.w, m.w, m.steps)
    m.take_step()
    return (m,mhat)


def ell2_loss((m,mhat), (x, y)):
    wx  = victor_utils.dot(mhat.w, x)
    err = (wx - y)
    return err*err

############################################################
### This the front end code for a particular model instance
###
def init():
   m  = simple_linear.LinearModel(54,B=1.5)
   m2 = simple_linear.LinearModel(54,B=1.5)
   return (m,m2)

def stopping_condition(s, loss):
    if not (s.has_key('state')):
        s['state'] = 0
    s['state'] += 1
    return s['state'] > 5
