#include "postgres.h"
#include "utils/memutils.h"
#include "executor/executor.h"  /* for GetAttributeByName() */
#include "init_helper.h"

#ifdef PG_MODULE_MAGIC
PG_MODULE_MAGIC;
#endif

PG_FUNCTION_INFO_V1(get_array);

static void* gd = NULL;

Datum
get_array(PG_FUNCTION_ARGS)
{
  int i = 0, *pArray = NULL;
  gd = check_init(gd);
  pArray = (int*) get_key(gd, "arrays"); // name is assumed to be unique among running txs
  elog(INFO, "comp: %d", MemoryContextContains(TopTransactionContext, (void*) pArray));
  if (pArray == NULL || !MemoryContextContains(TopTransactionContext, (void*) pArray)) {
    pArray = MemoryContextAlloc(TopTransactionContext, sizeof(int) * 10);
    bzero(pArray, sizeof(int)*10);
    set_key(gd, "arrays", pArray);
  }
  /* if (pArray == NULL) { */
  /*   pArray = palloc(sizeof(int) * 10); */
  /*   bzero(pArray, sizeof(int)*10); */
  /*   set_key(gd, "arrays", pArray); */
  /* } */
  for (i = 0; i < 10; i ++) {
    pArray[i] = pArray[i] + 1*(i+1);
  }
  elog(INFO, "First value is %d", pArray[0]);
  elog(INFO, "Second value is %d", pArray[1]);
  /* nRows   = PG_GETARG_INT32(0); */
  /* nCols   = PG_GETARG_INT32(1); */
  /* seed    = PG_GETARG_FLOAT8(2); */
  /* nSplits = PG_GETARG_INT32(3); */
  /* HeapTupleHeader  t = PG_GETARG_HEAPTUPLEHEADER(4); */
  
  /* PG_RETURN_INT32(partition); */
}

// TODO: a clean up method. This would work
// SELECT cleanup_nickname("array");
