DELETE MODEL SPECIFICATION low_rank_nopara

CREATE MODEL SPECIFICATION low_rank_nopara (
  model_type=(python) as (w),
  data_item_type=(int,int,float8) as (rowr,col,rating),   
  objective=examples.factor_simple.factor_simple.se_loss, 
  objective_agg=SUM,
  grad_step=examples.factor_simple.factor_simple.grad
);

CREATE MODEL INSTANCE movielens1m
  EXAMPLES movielens1m(row,col,rating)
  MODEL SPEC low_rank_nopara
  INIT_FUNCTION examples.factor_simple.factor_simple.initialize_model
  STOP WHEN examples.factor_simple.factor_simple.stopping_condition
