from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

ext = [Extension("factor_simple_pyrex",                 # name of extension
                 ["factor_simple_pyrex.pyx"],     # filename of our Cython source
                 )]
setup(
  name = 'Stochastic Grad',
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext
)
