#!/bin/bash
epochs=20
threads=11

exec/victor_lowrank --row_splits $threads --col_splits $threads --epochs $epochs --dbname chrisre --samplewo 1 --clustered 1 "SELECT row,col,rating from movielens1m" "SELECT row,col,rating from movielens1m" > experiments/big_graph/vmm.movielens.1M.threads.$threads.txt
exec/victor_lowrank --row_splits $threads --col_splits $threads --epochs $epochs --dbname chrisre --samplewo 1 --clustered 1 "SELECT row,col,rating from movielens10m" "SELECT row,col,rating from movielens10m" > experiments/big_graph/vmm.movielens.10M.threads.$threads.txt
exec/victor_lowrank --row_splits $threads --col_splits $threads --epochs $epochs --dbname chrisre --samplewo 1 --clustered 1" SELECT row,col,rating from lr_data" "SELECT row,col,rating from probe_table" > experiments/big_graph/vmm.netflix.threads.$threads.txt
python -u view_language/FACTOR_EXECUTE/victor_factor_execution_sparse.py --mid 101 --parallel $threads --rank 30 --epochs $epochs --table movielens1m --probe movielens1m    >| experiments/big_graph/vsql.movielens1m.threads.$threads.txt
python -u view_language/FACTOR_EXECUTE/victor_factor_execution_sparse.py --mid 101 --parallel $threads --rank 30 --epochs $epochs --table movielens10m --probe movielens10m  >| experiments/big_graph/vsql.movielens10m.threads.$threads.txt
python -u view_language/FACTOR_EXECUTE/victor_factor_execution_sparse.py --mid 101 --parallel $threads --rank 30 --epochs $epochs --table lr_data --probe netflix_probe_data >| experiments/big_graph/vsql.netflix.threads.$threads.txt
