import sys_appends

import generate_ova_plan_general
connect_str     = "dbname=" + sys_appends.dbname
dataset         = "bens_forest"
label_set       = range(1,8)
base_mid        = 1200
epochs          = 100
stepsize        = 1e-5
diminish        = 1
dim             = 54
create_function = 'create_linear_model'
instance_table  = 'linear_model_instance'
curried_grad    = 'full_svm_grad_step' # must average the models!
obj_agg         = 'SUM'
obj_item        = 'full_hinge_loss'
prox            = 'full_ell2_prox'
grad            = None
nprocesses      = 8
generate_ova_plan_general.ova_plan(connect_str, nprocesses, dataset,label_set, instance_table, base_mid, epochs, stepsize, diminish, dim, create_function,curried_grad, curried_grad, obj_agg, obj_item, batch_plan=True, print_only=False, prox=prox)
