import sys
import time
sys.path.append('/scratch.1/chrisre/VICTOR/view_language')
sys.path.append('/scratch.1/VICTOR/view_language')
import victor_vpp_runner
import math

def avg(z):
    return sum(z)/len(z)

def std(z):
    a = avg(z)
    return math.sqrt(sum([(x-a)*(x-a) for x in z]))

if len(sys.argv) != 7:
    print "<nthreads> <epochs> <dbname> <samplewo> <clustered> <runs>"
else:
    run_times = []
    for run in range(int(sys.argv[6])):
        tstart = time.time()
        victor_vpp_runner.pool_exec(int(sys.argv[1]), int(sys.argv[2]), sys.argv[3], int(sys.argv[4]), int(sys.argv[5]))
        tend   = time.time()
        tdelta = tend - tstart
        print 'Execution took %f' % (tdelta)
        run_times.append(tdelta)
    print run_times
    run_times.sort()
    hilo = run_times[1:len(run_times)-1]
    print "avg=%f (%f) hilo_removed=%f (%f)" % (avg(run_times), std(run_times), avg(hilo), std(hilo))
