import src.utils.shared_storage as shared_storage
import src.utils.retrieve_and_store_methods as rs
import src.globals.global_utils as global_utils

def install_caching_functions():
    conn                    = global_utils.connect_db()
    cur                     = conn.cursor()

    for q in [shared_storage.build_store_cache_model_sql(),
              shared_storage.build_get_cache_model_sql(),
              rs.build_retrieve_model_sql(),
              rs.build_store_model_sql()
              ]:
        print q
        cur.execute(q)
    conn.commit()
    conn.close()

install_caching_functions()
