"""
This module is an extension to compile factor_parser
"""

from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

ext_modules = [Extension("parser_helper", ["parser_helper.pyx"])]

setup(
  name = 'Parser Helper',
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext_modules
)
