import src.vsql_core.utils.function_utils as function_utils
import src.globals.constants as constants
from src.parser.ParserTypes import PythonFunction

def test_create_function():
    fname = "test_numpy_leastsquares"
    params = [(constants.PARSER_NAME_FIELD, fname)]
    params += [(constants.PARSER_MODEL_APP_PYTHON_FNC, PythonFunction(["examples", "NUMPY_L2", "numpy_l2", "dot"]))]
    params += [(constants.PARSER_MODEL_INST_NAME, "forest_least_squares")]
    params += [(constants.PARSER_DATA_TYPE_FIELDS, ["python"])]
    params += [(constants.PARSER_DATA_TYPE_NAMES, ["vec"])]
    
    params = dict(params)
    function_utils.create_model_application(params)

test_create_function()
