#ifndef __postgres_util_h
#define __postgres_util_h 1

#include "libpq-fe.h"
#include <string>
#include <sstream>
#include <iostream>

#include <netinet/in.h>
#include <arpa/inet.h>

class Victor_Database {
 private:
  PGconn *conn;
  char *buf;
  int bytes_written;
  int buf_limit;
  int end_of_last_tuple;
  std::string start_copy_query;
  void init_copy();

 public:
  Victor_Database(const char *conninfo, std::string table_name, int buf_limit);
  void copy_field_to_table(const char *data, int length);
  void copy_to_table(const char *data, int length);
  void flush();
  void check_flush();
};

#endif
