from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

ext_include_dirs = ["src/vsql_core/utils/factored_parser/C_Version", "."]

ext_modules = [Extension("python_partition", ["python_partition.pyx"], include_dirs = ext_include_dirs)]

setup(
  name = 'python_partition',
  packages = ['src.vsql_core.utils.factorized_parser.C_Version'],
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext_modules
)
