import random, math
# it's clear we need a state caching mechansim
# def partition_test(state, seed, nSplits2, t):
#     nSplits = math.sqrt(nSplits2)
#     (nRows,nCols)     = (model.nRows, model.nCols)
#     if not state.has_key("seed"):
#          state["seed"] = -1
#     if not (state["seed"] == seed):
#          random.seed(seed)
#          state["row_perm"] = random.shuffle(range(nRows))
#          state["col_perm"] = random.shuffle(range(nCols))
#     row_perm = state["row_perm"]
#     col_perm = state["col_perm"]
#     row_splits = nRows/nSplits
#     col_splits = nCols/col_splits
#     r        = min(nSplits,t["row"] / row_splits)
#     c        = min(nSplits,t["col"] / col_splits)
#     return (c * nSplits + r) % nSplits2

def partition_test(state, seed, nSplits2, t):
    nSplits = int(math.sqrt(nSplits2))
    
    if not state.has_key("seed"):
         state["seed"] = -1
    if not (state["seed"] == seed):
         random.seed(seed)
         state["offset"] = random.randint(0,nSplits2)
    off = state["offset"]
    r   = t["row"]
    c   = t["col"]
    c_part = (c + off) % nSplits
    r_part = r % nSplits
    return min(nSplits2 -1, r_part * nSplits + c_part)

# This is intended to be used with the debugging
# def partition_test(state, seed, nSplits2, t):
#     r   = t["row"]
#     c   = t["col"]
#     return r*4+c
