from multiprocessing import Pool
import time
import sys, getopt
import random
sys.path.append('/scratch.1/VICTOR/')
sys.path.append('/scratch.1/chrisre/VICTOR/')

import psycopg2

def the_round(n,r,c):
    if (r < n/2):
        return 0
    else:
        return 1

def the_chunk(n,r,c):
    if (c < n/2):
        return 0
    else:
        return 1
    

    
def sort_hack(connect_str, fetch_version=False):
    conn = psycopg2.connect(connect_str)
    conn.set_isolation_level(psycopg2.extensions.ISOLATION_LEVEL_AUTOCOMMIT)
    psql = conn.cursor()
    t0 = time.time()
    if fetch_version:
        psql.execute("SELECT row, col, rating FROM movielens10m")
        z = psql.fetchall()     
        t1 = time.time()
        print "fetched in %f secs" % (t1 - t0)
        n = len(z)
        v = [[],[],[],[]]
        nsplits = 2
        for (row,col,rating,) in z:
            v[the_round(nsplits, row,col)*2 + the_chunk(nsplits, row,col)].append((row, col, rating))
    else:
        f = file
        psql.copy_to(f, 'movielens10m')
        t1 = time.time()
        print "copy fetched in %f secs" % (t1 - t0)
        for (row,col,rating,) in z:
            v[the_round(nsplits, row,col)*2 + the_chunk(nsplits, row,col)].append((row, col, rating))
    t2 = time.time()
    print "split done in %f secs" % (t2 - t0)
    conn.close()
    
sort_hack('dbname=chrisre')
