from multiprocessing import Process, Lock
from multiprocessing import Manager
import time

def f(n, a):
    n_value = int(n.value)
    print "p{0} is in f".format(n_value)
    ind = 2 * n_value
    old_val = a[ind]
    a[ind] = 2 * ind
    print "p{0} updated a[{1}] = {2} to a[{1}] = {3}".format(n_value, ind, old_val, a[ind])
    new_ind = len(a) - ind - 1
    time.sleep(5 - n_value) ##make sure that processes interleave
    old_val = a[new_ind]
    a[new_ind] = 2 * new_ind
    print "p{0} updated a[{1}] = {2} to a[{1}] = {3}".format(n_value, new_ind, old_val, a[new_ind])

arr = Manager().Array('i', [-1 for m in range(10)], lock=False)

num_of_process = 5
p_s = []

print "initial_array: " + str(arr[:])

for i in range(num_of_process):
    num = Manager().Value('d', i)
    p = Process(target=f, args=(num, arr))
    p_s.append(p)

for p in p_s:
    p.start()

for p in p_s:
    p.join()

print "array after modification: " + str(arr[:])
