DELETE MODEL SPECIFICATION numpy_leastsquares_model_mm

CREATE MODEL SPECIFICATION numpy_leastsquares_model_mm (
  model_type=(python) as (w),
  data_item_type=(npython,python) as (vec, label),   
  objective=trash.main_mem.pure_python.loss, 
  objective_agg=SUM, 
  grad_step=trash.main_mem.pure_python.grad
);

CREATE MODEL INSTANCE simple_model
  EXAMPLES bens_forest_bin_copy(vec, label)
  MODEL SPEC numpy_leastsquares_model_mm
  INIT_FUNCTION trash.main_mem.pure_python.init
  STOP WHEN trash.main_mem.pure_python.stopping_condition