from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

ext = [Extension("stochast_cuts",                 # name of extension
                 ["stochast_cuts.pyx"],     # filename of our Cython source
                  include_dirs=["/scratch.1/install/python-2.7.1/lib/python2.7/site-packages/numpy/core/include/","/scratch.1/chrisre/python-2.7.1-install/lib/python2.7/site-packages/numpy/core/include/", "/tmp/fatemeh/install/python-2.7.1/lib/python2.7/site-packages/numpy/core/include/"],          # usual stuff
                 )]
setup(
  name = 'Stochastic Grad',
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext
)
