import math, random
import src.vsql_core.utils.victor_utils as victor_utils
import src.vsql_core.utils.low_rank_helper as low_rank_helper
import numpy

def se_loss((m,L,R), row, col, rating):
    # should return 0
    return abs(L[row][col] - rating) + abs(R[row][col] - (row +col))

def grad((m,L,R), row, col, rating):
    L[row][col] = rating
    R[row][col] = row + col
    return (m,L,R)

def initialize_model():
    m = []
    N = 4
    (L,R) = (numpy.array([[0.0 for i in range(N)] for j in range(N)] ),
             numpy.array([[0.0 for i in range(N)] for j in range(N)]) )
    return (m,numpy.matrix(L),numpy.matrix(R))
                                     
def stopping_condition(s, loss):
    if not (s.has_key('state')):
        s['state'] = 0
    s['state'] += 1
    return s['state'] > 3


# This is intended to be used with the debugging
def partition_test(state, seed, nSplits2, t):
    r   = t["row"]
    c   = t["col"]
    return min(r*4+c,nSplits2)
