class LinearModel:
    def __init__(self, dim, mu=1e-1, B=1.0, initial_stepsize=0.9):
        self.steps     = 1
        self.dim      = dim
        self.w        = [1e-2 for i in range(dim)]
        self.stepsize = initial_stepsize
        self.mu       = mu
        self.B        = B
        self.epoch    = 0

    def take_step(self):
        self.steps += 1
        self.stepsize = 0.9/(1+self.steps)
