DELETE MODEL SPECIFICATION robust_logit;

CREATE MODEL SPECIFICATION robust_logit (
  model_type=(python,python) as (w,what),
  data_item_type=(int[], float8[], int) as (k,v, label),   
  objective=examples.LINEAR_MODELS.loss_functions.logit_loss_ss,
  objective_agg=SUM, 
  grad_step=examples.ROBUST_AVERAGE.robust_average.ell2_ball_constraint_avg
);
