DELETE MODEL SPECIFICATION robust_ell2;

CREATE MODEL SPECIFICATION robust_ell2 (
  model_type=(python,python) as (w,what),
  data_item_type=(float8[], int) as (vec, label),   
  objective=examples.ROBUST_AVERAGE.robust_average_forest.ell2_loss,
  objective_agg=SUM, 
  grad_step=examples.ROBUST_AVERAGE.robust_average_forest.ell2_ball_constraint_avg
);
