#include "postgres.h"
#include "fmgr.h"

#ifdef PG_MODULE_MAGIC
PG_MODULE_MAGIC;
#endif

#define xstr(s) str(s)
#define str(s) #s

PG_FUNCTION_INFO_V1(factor_partition_wrapper);
PG_FUNCTION_INFO_V1(netflix_partition_wrapper);

static PGFunction f_ptr = NULL;
// This sucks.
//char *file_path     = "/scratch.1/chrisre/VICTOR_SQL/examples/factor_simple/C_factor/factor_partition_single_int.so";
char *file_path     = "/scratch.1/VICTOR_SQL/examples/factor_simple/C_factor/factor_partition_single_int.so";
char *function_name = "factor_partition";

Datum
factor_partition_wrapper(PG_FUNCTION_ARGS) {  
  int nRows           = 71567;
  int nCols           = 65133;
  if(f_ptr == NULL) {
    f_ptr = load_external_function(file_path, function_name, true, NULL);
  }
  int b = Int32GetDatum(DirectFunctionCall5(f_ptr, DatumGetInt32(nRows), DatumGetInt32(nCols), PG_GETARG_DATUM(0), PG_GETARG_DATUM(1), PG_GETARG_DATUM(2)));
  
  PG_RETURN_INT32(b);
}


Datum
netflix_partition_wrapper(PG_FUNCTION_ARGS) {  
  int nRows           = 480189;
  int nCols           = 17770;
  if(f_ptr == NULL) {
    f_ptr = load_external_function(file_path, function_name, true, NULL);
  }
  int b = Int32GetDatum(DirectFunctionCall5(f_ptr, DatumGetInt32(nRows), DatumGetInt32(nCols), PG_GETARG_DATUM(0), PG_GETARG_DATUM(1), PG_GETARG_DATUM(2)));
  
  PG_RETURN_INT32(b);
}

