import sys_appends

import generate_ova_plan_general
connect_str     = "dbname=" + sys_appends.dbname
dataset         = "bens_forest"
label_set       = range(1,8)
base_mid        = 1100
epochs          = 100
stepsize        = 1e-5
diminish        = 1
dim             = 54
create_function = 'create_linear_model'
curried_grad    = 'full_ell2_grad_step'
prox            = 'full_ell2_prox'
obj_agg         = 'SUM'
obj_item        = 'full_mse_loss'
grad            = None

generate_ova_plan_general.regression_plan(connect_str, dataset,label_set, 'linear_model_instance', base_mid, epochs, stepsize, diminish, dim, create_function,curried_grad, curried_grad, obj_agg, obj_item, print_only=False, batch_plan=True, prox=prox)
