use_factor_exec                   = True # Short term hack..
nSplits                           = 10

#postgres constants
PG_CLASS_TABLE                    = "pg_class"
PG_ATTRIBUTE_TABLE                = "pg_attribute"
PG_TYPE_TABLE                     = "pg_type"

#PG_CLASS_TABLE fields
PG_CLASS_RELNAME                  = "relname"
#PG_ATTRIBUTE_TABLE fields
PG_ATTRIBUTE_ATTNAME              = "attname"
PG_ATTRIBUTE_ATTTYPID             = "atttypid"
PG_ATTRIBUTE_ATTRELID             = "attrelid"
#PG_TYPE_TABLE fields
PG_TYPE_TYPNAME                   = "typname"
PG_TYPE_TYPRELID                  = "typrelid"
PG_TYPE_TYPTYPE                   = "typtype"
PG_OID                            = "oid"

PYTHON_FIELD_TYPE                 = "python"
NUMPY_FIELD_TYPE                  = "numpy"
NPYTHON_FIELD_TYPE                = "npython" # numpy, but stored as a list
#victor_model_table
VICTOR_MODEL_TABLE                = "victor_model_table"
VICTOR_GLOBAL_MODEL_ID_TABLE      = "victor_global_instances"
VICTOR_MODEL_APP_TABLE            = "victor_model_applications"

#####################################################
# These are the attributes and information for is the global table of
# all model specifications
# 
VMT_MODEL_NAME                    = "model_name"
VMT_MODEL_TABLE_NAME              = "model_table_name"
VMT_MODEL_TYPE                    = "model_type"
VMT_MODEL_FIELD_TYPES             = "model_field_types"
VMT_MODEL_FIELD_NAMES             = "model_field_names"
VMT_DATA_FIELD_TYPES              = "data_field_types"
VMT_DATA_FIELD_NAMES              = "data_field_names"
VMT_OBJECTIVE                     = "objective"
VMT_OBJECTIVE_ITEM                = "objective_agg"
VMT_WRAPPER_FNC                   = "wrapper_fnc"

MID_FIELD                         = "mid"

#victor global table fields
VICTOR_GLOBAL_MID                 = MID_FIELD
VICTOR_GLOBAL_INSTANCE            = "model_instance"
VICTOR_GLOBAL_MODEL_SPEC_NAME     = "model_spec"

#victor model app table fields
VMA_MODEL_APP_NAME                = "model_app_name"
VMA_MODEL_INST_NAME               = "model_inst_name"
VMA_MID                           = MID_FIELD
VMA_FUNCTION_CONTENT              = "function_content"

#parse fields
PARSER_NAME_FIELD                 = "name"

PARSER_FUNCTION_FIELD             = "function"
PARSER_MODEL_TYPE                 = "model_type"
PARSER_MODEL_TYPE_FIELDS          = "model_type_fields"
PARSER_MODEL_TYPE_NAMES           = "model_type_names"
PARSER_DATA_TYPE                  = "data_type"
PARSER_DATA_TYPE_FIELDS           = "data_type_fields"
PARSER_DATA_TYPE_NAMES            = "data_type_names"
PARSER_OBJ_AGG_FIELD              = "objective_agg"
PARSER_OBJ_FIELD                  = "objective"
PARSER_GRAD_FIELD                 = "grad_step"

PARSER_EX_FIELD                   = "example"
PARSER_EX_TYPE_LIST               = "example_type_list"
PARSER_MODEL_SPEC_FIELD           = "model_spec"
PARSER_STOP_CONDITION_NAME        = "stop_fnc"
PARSER_STOP_CONDITION_MODULES     = "stop_fnc_modules"
PARSER_PARTITION_FUNCTION_NAME    = "partition_function_name"
PARSER_MODEL_PARAMS               = "model_params"
PARSER_MODEL_PARAMS_MODULES       = "model_params_modules"
PARSER_INIT_BLOCK                 = "init_function"
PARSER_BULKGRAD                   = "bulk_grad"
PARSER_EPOCHS_FIELD               = "epochs"
PARSER_STEPSIZE_FIELD             = "stepsize"
PARSER_DIMINISH_FIELD             = "diminish"

PARSER_MODEL_APP_PYTHON_FNC       = "python_fnc"
PARSER_MODEL_INST_NAME            = "model_inst_name"
PARSER_MODEL_APP_RETURN_TYPE      = "model_app_return_type"

#FUNCTION NAMES
CREATE_MODEL_FNC_NAME             = "create_model"
CREATE_MODEL_INSTANCE_FNC_NAME    = "create_model_instance"

#victor pickler
VICTOR_PICKLER                    = "src.vsql_core.utils.pickler.victor_pickler"

#CREATE VICTOR MODEL TABLE:
#DROP TABLE IF EXISTS victor_model_table;
# CREATE TABLE victor_model_table(model_name text, model_type text, model_table_name text, model_field_types text[], model_field_names text[], data_field_types text[], data_field_names text[], objective text, objective_agg text, wrapper_fnc text, grad_fn text, loss_fn text, bulk_grad text);

#CREATE VICTOR GLOBAL INSTANCES:
# create table victor_global_instances(mid serial, model_instance text, model_spec text);

#CREATE FUNCTION TABLE:
# CREATE TABLE victor_model_applications (model_app_name text, model_inst_name text, mid int, function_content text)
PARSER_LABEL_ATTR      = "example_label_attribute"
PARSER_LABEL_TYPE      = "example_label_type"
PARSER_LABEL_SET_TABLE = "label_set_view"
OVA                    = "OVA_model_instance"

VICTOR_LABEL           = "victorslabel"
