import collections
### These are the types created by Parsing
TableDescription         = collections.namedtuple('TableOrViewDescription', 'table_name  field_names')
TableOrViewDescription   = collections.namedtuple('TableOrViewDescription', 'declaration field_names')

RefinementDescription    = collections.namedtuple('RefinementDescription', 'initialization_function gradient_step objective_item objective_aggregate stop_function partition_function')

# Optimizer Stuff
OVADescription           = collections.namedtuple('OVADescription', 'label_attr label_type label_functions')
OptimizationDescription  = collections.namedtuple('OptimizationDescription', 'batch_gradient ova factored_execute')
#
#ModelInstanceDescription = collections.namedtuple('ModelInstanceDescription', 'mid connect_str model_table_desc example_table_desc refinement_desc opts')
class ModelInstanceDescription:
    def __init__(self, mid, connect_str, model_table_desc, example_table_desc, refinement_desc, opts):
        self.mid                = mid
        self.connect_str        = connect_str
        self.model_table_desc   = model_table_desc
        self.example_table_desc = example_table_desc
        self.refinement_desc    = refinement_desc
        self.opts               = opts

        
def build_mid(mid, connect_str, model_table_desc, example_table_desc, rd, opts):
    return ModelInstanceDescription(mid=mid,connect_str=connect_str, model_table_desc=model_table_desc, example_table_desc=example_table_desc, refinement_desc=rd, opts=opts)


### These are the types created by Planning
ExecutorTuple            = collections.namedtuple('ExecutorTuple', 'plan_id connect_str setup_query plan plan_object')
