# def get_model_specification_table_name(cur, model_name):
#     return select_info_query = "SELECT {0} FROM {1} WHERE {2} = '{3}';".format(constants.VMT_MODEL_TABLE_NAME,constants.VICTOR_MODEL_TABLE, 
#                                                                         constants.VMT_MODEL_NAME, model_name)
import src.normalization.create_model_helper as create_model_helper
import src.globals.constants as constants
import src.globals.global_utils as global_utils

def delete_model_specification(model_name):
    model_table_name = create_model_helper.convert_model_name_to_model_table_name(model_name)
    delete_instance_query = "DROP TABLE IF EXISTS {0};".format(model_table_name)
    delete_entry_query    = "DELETE FROM {0} WHERE {1} = '{2}';".format(constants.VICTOR_MODEL_TABLE, 
                                                                        constants.VMT_MODEL_NAME, model_name)
    delete_query          = delete_instance_query + delete_entry_query
    conn                    = global_utils.connect_db()
    cur                     = conn.cursor()

    cur.execute(delete_query)
    conn.commit()
