import multiprocessing
from multiprocessing.managers import BaseManager
import numpy, time

nSlots = 10
narrays = 3
# Must be visible to the closure.
# you cannot pass the shared references via map
shared_memory_handler = dict()

class Foo:    
    def __init__(self):
        self.x = 0
        self.l = []
        
    def add(self, x):
        self.x = x
        self.l.append(x)
        
def client(i):
    a = shared_memory_handler["monkeys"]
    for k in xrange(narrays):
        a[k][i] = i*k
    q = shared_memory_handler["chickens"]
    f = q.get()
    f.add(i)
    q.put(f)
    print "Client {} is done".format(i)
    
shared_memory_handler["monkeys"]  = [multiprocessing.Array('i', range(nSlots), lock=False) for i in range(3)]
q = multiprocessing.Queue()
shared_memory_handler["chickens"] = q

f = Foo()
shared_memory_handler["chickens"].put(f)

pool   = multiprocessing.Pool(processes=4)
values = pool.map(client, range(nSlots) ) 
print shared_memory_handler["monkeys"][2][8]
print q.get().l
