DROP FUNCTION IF EXISTS partition_data_fnc(text, text, text, int);
CREATE FUNCTION partition_data_fnc(part_fnc text, input_view_name text, output_base text, num_split int) RETURNS VOID 
AS $$
   import src.vsql_core.utils.factored_parser.partition_data as partition_data
   partition_data.partition_data(part_fnc, input_view_name, output_base, num_split)
$$ LANGUAGE plpythonu;

DROP FUNCTION IF EXISTS partition(t movielens10m);
CREATE FUNCTION partition(t movielens10m) RETURNS INT
AS $$
   return (t["row"]*10 + t["col"]*23) % 7
$$ LANGUAGE plpythonu;


DROP FUNCTION IF EXISTS partition(t movielens1m);
CREATE FUNCTION partition(t movielens1m) RETURNS INT
AS $$
   return (t["row"]*10 + t["col"]*23) % 7
$$ LANGUAGE plpythonu;


DROP FUNCTION IF EXISTS partition(t movie_view);
CREATE FUNCTION partition(t movie_view) RETURNS INT
AS $$
   return (t["row"]*10 + t["col"]*23) % 7
$$ LANGUAGE plpythonu;
