from tuple_processor import *
import cStringIO
import struct
import random


# global struct parsers
struct_int32  = struct.Struct('>i')
struct_int64  = struct.Struct('>q')
struct_int16  = struct.Struct('>h')
struct_double = struct.Struct('>d')

b = cStringIO.StringIO()
b.write(struct_int16.pack(6))
#write int
b.write(struct_int32.pack(4))
b.write(struct_int32.pack(142))
#write double
b.write(struct_int32.pack(8))
b.write(struct_double.pack(213.12))
#write int
b.write(struct_int32.pack(4))
b.write(struct_int32.pack(27))
#write double
b.write(struct_int32.pack(8))
b.write(struct_double.pack(91.125))
#write double
b.write(struct_int32.pack(8))
b.write(struct_double.pack(121.4511))

#write double array
b.write(struct_int32.pack(4 * 5 + 10 * (4 + 8)))
b.write(struct_int32.pack(1)) #ndims
b.write(struct_int32.pack(0)) #has null
b.write(struct_int32.pack(700)) #element type
b.write(struct_int32.pack(10)) #length
b.write(struct_int32.pack(1)) #bound
array = []

for j in range(10):
    val = random.random()
    array.append(val)
    b.write(struct_int32.pack(8))
    b.write(struct_double.pack(val))


ts = TupleSchema([23, 701, 23, 701, 701, 1022])
tr = TupleReader(b.getvalue(), ts)
print array
print tr.read_tuple()
