import multiprocessing
from multiprocessing import Process, Lock
from multiprocessing.managers import SyncManager, BaseProxy
import time, array
import generic_manager.test_class as test_class

class ClassManager(multiprocessing.managers.SyncManager):
    pass

ClassManager.register('get_shared_arr', test_class.TestArrayClass)

class ArrayClassManager(multiprocessing.managers.SyncManager):
    pass

length_of_vec = 1000000
shared_array = test_class.TestArrayClass(length_of_vec)
ArrayClassManager.register('get_shared_arr', lambda:shared_array)

def f(n, a):
    n_value = int(n.value)
    print ("p{0} is in f".format(n_value))
    ind = 2 * n_value
    old_val = a.get(ind)
    a.set(ind, 2 * ind)
    print ("p{0} updated a[{1}] = {2} to a[{1}] = {3}".format(n_value, ind, old_val, a.get(ind)))
    new_ind = a.len() - ind - 1
    time.sleep(5 - n_value) ##make sure that processes interleave
    old_val = a.get(new_ind)
    a.set(new_ind, 2 * new_ind)
    print ("p{0} updated a[{1}] = {2} to a[{1}] = {3}".format(n_value, new_ind, old_val, a.get(new_ind)))

# manager = ClassManager()
# manager.start()
# x_arr = manager.get_shared_arr()
# for i in range(10):
#     x_arr.add(-1)

# num_of_process = 5
# p_s = []

# print "initial_array: " + str(x_arr.value())

# for i in range(num_of_process):
#     num = manager.Value('d', i)
#     p = Process(target=f, args=(num, x_arr))
#     p_s.append(p)

# for p in p_s:
#     p.start()

# for p in p_s:
#     p.join()

# print "array after modification: " + str(x_arr.value())
