from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

ext = [Extension("simple_grad",                 # name of extension
                 ["simple_grad_wrapper.pyx", "simple_grad.cxx"],     # filename of our Cython source
                 language="c++",              # this causes Cython to create C++ source
                 include_dirs=["/scratch.1/install/python-2.7.1/lib/python2.7/site-packages/numpy/core/include/"],          # usual stuff
                 #include_dirs=["/scratch.1/chrisre/python-2.7.1-install/lib/python2.7/site-packages/numpy/core/include/"],          # usual stuff
                 libraries=["stdc++"],             # ditto
                 )]
setup(
  name = 'Factor Parser',
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext
)
