import unittest
import sys
import victor_bin_read_regression_tests
import victor_bin_write_regression_tests
import victor_bin_read_write_regression_tests
import HTMLTestRunner
import StringIO

read_suite = unittest.TestLoader().loadTestsFromTestCase(victor_bin_read_regression_tests.VictorBinReadRegressionTestCases)
write_suite = unittest.TestLoader().loadTestsFromTestCase(victor_bin_write_regression_tests.VictorBinWriteRegressionTestCases)
read_write_suit = unittest.TestLoader().loadTestsFromTestCase(
    victor_bin_read_write_regression_tests.VictorBinReadWriteRegressionTestCases)
alltests = unittest.TestSuite([read_suite, write_suite, read_write_suit])
buf = StringIO.StringIO()
runner = HTMLTestRunner.HTMLTestRunner(
    stream=buf,
    title='<Victor Test>',
    description='This demonstrates the unit tests report output by Victor.'
    )
runner.run(alltests)
print buf.getvalue()
